ML Algorithms
Operations related to Machine Learning Algorithms, the plugins that calculate predictions or scores for users based on events (e.g., propensity models, churn likelihood), working in conjunction with ML Functions.
Set docker image name
Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/models/{ml_algorithm_model_id}/docker_image HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"docker_image_name": "text"
}{
"status": "ok",
"data": {
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"id": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"last_updated_date": 0,
"status": "PAUSED"
}
}Offset from which the search must be performed
Number of maximum items that shall be return by this search
The keywords to match with ml algorithmics names
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/ml_algorithms/{ml_algorithm_id}/variables HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"first_result": 1,
"count": 1,
"data": [
{
"id": "text",
"ml_algorithm_id": "text",
"key": "text",
"value": "text"
}
],
"max_results": 1,
"total": 1
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/variables HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"ml_algorithm_id": "text",
"key": "text",
"value": "text"
}{
"status": "ok",
"data": {
"id": "text",
"ml_algorithm_id": "text",
"key": "text",
"value": "text"
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/ml_algorithms/{ml_algorithm_id}/learning_jobs HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"count": 1,
"data": [
{
"completed_tasks": 0,
"num_tasks": 0,
"job_type": "text",
"erroneous_tasks": 0,
"id": "text",
"user_id": "text",
"debug": "text",
"max_retry_count": 0,
"start_date": 0,
"retry_count": 0,
"organisation_id": "text",
"permalink_uri": "text",
"external_name": "text",
"last_update": 0,
"is_retryable": false,
"parameters": "text",
"creation_date": 0,
"error": {
"message": "text"
},
"cancel_status": "REQUESTED",
"status": "PENDING",
"community_id": "text",
"duration": 1,
"result": "text"
}
],
"total": 1,
"first_result": 1,
"status": "ok",
"max_results": 1
}0Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/learning_jobs HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"export_id": 0,
"vars": [
{
"key": "text",
"value": "text"
}
]
}{
"status": "ok",
"data": {
"completed_tasks": 0,
"num_tasks": 0,
"job_type": "text",
"erroneous_tasks": 0,
"id": "text",
"user_id": "text",
"debug": "text",
"max_retry_count": 0,
"start_date": 0,
"retry_count": 0,
"organisation_id": "text",
"permalink_uri": "text",
"external_name": "text",
"last_update": 0,
"is_retryable": false,
"parameters": "text",
"creation_date": 0,
"error": {
"message": "text"
},
"cancel_status": "REQUESTED",
"status": "PENDING",
"community_id": "text",
"duration": 1,
"result": "text"
}
}Get ML Algorithm Variable by id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/ml_algorithms/{ml_algorithm_id}/variables/{ml_algorithm_variable_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"id": "text",
"ml_algorithm_id": "text",
"key": "text",
"value": "text"
}
}Update ML Algorithm Variable
Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/ml_algorithms/{ml_algorithm_id}/variables/{ml_algorithm_variable_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"ml_algorithm_id": "text",
"key": "text",
"value": "text"
}{
"status": "ok",
"data": {
"id": "text",
"ml_algorithm_id": "text",
"key": "text",
"value": "text"
}
}Delete ML Algorithm Variable
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/ml_algorithms/{ml_algorithm_id}/variables/{ml_algorithm_variable_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/code/notebook HTTP/1.1
Host: api.mediarithmics.local
Content-Type: multipart/form-data
Accept: */*
Content-Length: 19
{
"file": [
"binary"
]
}{
"status": "ok",
"data": {
"organisation_id": "text",
"archived": false,
"last_updated_date": 0,
"name": "text",
"id": "text",
"ml_algorithm_code": {
"notebook_uri": "text",
"docker_image_name": "text",
"last_updated_date": 0
},
"description": "text"
}
}Returns informations related to a particular ML Model learning job
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/ml_algorithms/{ml_algorithm_id}/learning_jobs/{learning_job_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"completed_tasks": 0,
"num_tasks": 0,
"job_type": "text",
"erroneous_tasks": 0,
"id": "text",
"user_id": "text",
"debug": "text",
"max_retry_count": 0,
"start_date": 0,
"retry_count": 0,
"organisation_id": "text",
"permalink_uri": "text",
"external_name": "text",
"last_update": 0,
"is_retryable": false,
"parameters": "text",
"creation_date": 0,
"error": {
"message": "text"
},
"cancel_status": "REQUESTED",
"status": "PENDING",
"community_id": "text",
"duration": 1,
"result": "text"
}
}Offset from which the search must be performed
Number of maximum items that shall be return by this search
Fields used to order the result
The keywords to match with ml algorithmics names
The status of the ml algorithm model (LIVE / PAUSED)
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/ml_algorithms/{ml_algorithm_id}/models HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"total": 1,
"first_result": 1,
"status": "ok",
"max_results": 1,
"data": [
{
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"id": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"last_updated_date": 0,
"status": "PAUSED"
}
],
"count": 1
}0Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/models HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"status": "PAUSED"
}{
"status": "ok",
"data": {
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"id": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"last_updated_date": 0,
"status": "PAUSED"
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/models/{ml_algorithm_model_id}/result HTTP/1.1
Host: api.mediarithmics.local
Content-Type: multipart/form-data
Accept: */*
Content-Length: 19
{
"file": [
"binary"
]
}{
"status": "ok",
"data": {
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"id": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"last_updated_date": 0,
"status": "PAUSED"
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/code/docker_image HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"docker_image_name": "text"
}{
"status": "ok",
"data": {
"organisation_id": "text",
"archived": false,
"last_updated_date": 0,
"name": "text",
"id": "text",
"ml_algorithm_code": {
"notebook_uri": "text",
"docker_image_name": "text",
"last_updated_date": 0
},
"description": "text"
}
}Organisation Id of the ml algorithm
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Fields used to order the result
The keywords to match with ml algorithmics names
Whether to filter with archived or not
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/ml_algorithms?organisation_id=1 HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"data": [
{
"organisation_id": "text",
"archived": false,
"last_updated_date": 0,
"name": "text",
"id": "text",
"ml_algorithm_code": {
"notebook_uri": "text",
"docker_image_name": "text",
"last_updated_date": 0
},
"description": "text"
}
],
"status": "ok",
"count": 1,
"max_results": 1,
"total": 1,
"first_result": 1
}false0Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 193
{
"organisation_id": "text",
"archived": false,
"last_updated_date": 0,
"name": "text",
"ml_algorithm_code": {
"notebook_uri": "text",
"docker_image_name": "text",
"last_updated_date": 0
},
"description": "text"
}{
"status": "ok",
"data": {
"organisation_id": "text",
"archived": false,
"last_updated_date": 0,
"name": "text",
"id": "text",
"ml_algorithm_code": {
"notebook_uri": "text",
"docker_image_name": "text",
"last_updated_date": 0
},
"description": "text"
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/models/{ml_algorithm_model_id}/binary HTTP/1.1
Host: api.mediarithmics.local
Content-Type: multipart/form-data
Accept: */*
Content-Length: 19
{
"file": [
"binary"
]
}{
"status": "ok",
"data": {
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"id": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"last_updated_date": 0,
"status": "PAUSED"
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/ml_algorithms/{ml_algorithm_id}/models/{ml_algorithm_model_id}/notebook HTTP/1.1
Host: api.mediarithmics.local
Content-Type: multipart/form-data
Accept: */*
Content-Length: 19
{
"file": [
"binary"
]
}{
"status": "ok",
"data": {
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"id": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"last_updated_date": 0,
"status": "PAUSED"
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/ml_algorithms/{ml_algorithm_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"organisation_id": "text",
"archived": false,
"last_updated_date": 0,
"name": "text",
"id": "text",
"ml_algorithm_code": {
"notebook_uri": "text",
"docker_image_name": "text",
"last_updated_date": 0
},
"description": "text"
}
}false0Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/ml_algorithms/{ml_algorithm_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 193
{
"organisation_id": "text",
"archived": false,
"last_updated_date": 0,
"name": "text",
"ml_algorithm_code": {
"notebook_uri": "text",
"docker_image_name": "text",
"last_updated_date": 0
},
"description": "text"
}{
"status": "ok",
"data": {
"organisation_id": "text",
"archived": false,
"last_updated_date": 0,
"name": "text",
"id": "text",
"ml_algorithm_code": {
"notebook_uri": "text",
"docker_image_name": "text",
"last_updated_date": 0
},
"description": "text"
}
}Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/ml_algorithms/{ml_algorithm_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/ml_algorithms/{ml_algorithm_id}/models/{ml_algorithm_model_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"id": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"last_updated_date": 0,
"status": "PAUSED"
}
}0Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/ml_algorithms/{ml_algorithm_id}/models/{ml_algorithm_model_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"status": "PAUSED"
}{
"status": "ok",
"data": {
"name": "text",
"docker_image_name": "text",
"binary_uri": "text",
"notebook_uri": "text",
"id": "text",
"ml_algorithm_id": "text",
"html_notebook_result_uri": "text",
"last_updated_date": 0,
"status": "PAUSED"
}
}Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/ml_algorithms/{ml_algorithm_id}/models/{ml_algorithm_model_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Last updated
Was this helpful?